Bug 1178877 (CVE-2014-9450) - CVE-2014-9450 zabbix: SQL injection in chart_bar.php
Summary: CVE-2014-9450 zabbix: SQL injection in chart_bar.php
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-9450
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1178878 1178879 1178880 1178881
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-05 15:17 UTC by Martin Prpič
Modified: 2019-09-29 13:25 UTC (History)
2 users (show)

Fixed In Version: zabbix 1.8.22, zabbix 2.0.14, zabbix 2.2.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:37:21 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-01-05 15:17:36 UTC
Multiple SQL injection flaws were discovered[1] in Zabbix's chart_bar.php front end code. Either of these flaws could allow a remote attacker to execute arbitrary SQL commands using the itemid or periods parameters.

A patch that fixes these issues is available at [2] or as r47867 in branch svn://svn.zabbix.com/branches/dev/ZBX-8582.

[1] https://support.zabbix.com/browse/ZBX-8582
[2] https://github.com/svn2github/zabbix/commit/984bd3bec2d6ca5a80104a5574d19b7f4d04f24b

Comment 1 Martin Prpič 2015-01-05 15:18:18 UTC
Created zabbix22 tracking bugs for this issue:

Affects: epel-6 [bug 1178879]
Affects: epel-7 [bug 1178881]

Comment 2 Martin Prpič 2015-01-05 15:18:20 UTC
Created zabbix20 tracking bugs for this issue:

Affects: epel-6 [bug 1178878]
Affects: epel-7 [bug 1178880]

Comment 3 Fedora Update System 2015-08-01 20:00:44 UTC
zabbix22-2.2.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Product Security DevOps Team 2019-06-08 02:37:21 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.